Debian Bug report logs - #265570
RFA: debconf -- Debian configuration management system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Fri, 13 Aug 2004 19:18:03 UTC

Severity: normal

Fixed in version debconf/1.5.0

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#265570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: debconf -- Debian configuration management system
Date: Fri, 13 Aug 2004 16:07:55 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: important

I intend to orphan debconf after sarge is released. I had hoped to have
the time to maintain it while we were transitioning over to cdebconf,
but the cdebconf transition is taking longer than I had hoped. Since I'd
prefer to devote what small amount of spare time and energy I have to
making that transition happen, rather than fixing some of the worse
architectural problems in debconf, it would be better if debconf had a
real maintainer.

Please carefully look over the bugs, make sure you can understand
debconf's rather strange OO perl implementation, and *talk to me* before
taking over maintenance of this package.

I'd also be willing to consider co-mantenance, especially if I didn't
have to do most of the work. :-)

I nobody steps up to do this, at best I'll continue to maintain the
package in the basic maintenence mode it's been in for a while, and it's
unlikely that the following debconf bugs will ever get fixed: 50595,
101800, 142944, 164396, 169868, 179865, 189026, 192889, 193694, 198297,
199722, 201703, 218182, 223039, 224400, 232296, 244972, 247134, 251417,
260189, 265286, 201431, 214916, 243219, 46250, 58980, 59870, 67097,
86817, 98611, 126752, 126753, 134191, 167177, 202059, 205095, 224154,
249119, 257704, 258021, 265355. Of these, most are fairly unimportant
except to their submitters; the biggest debconf bugs are the still
mostly unexplained occasional debconf db corruption, and the screwy and
problimatic to daemons fd redirection stuff.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 265570-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 265570-close@bugs.debian.org
Subject: Bug#265570: fixed in debconf 1.5.0
Date: Thu, 20 Apr 2006 15:32:08 -0700
Source: debconf
Source-Version: 1.5.0

We believe that the bug you reported is fixed in the latest version of
debconf, which is due to be installed in the Debian FTP archive:

debconf-doc_1.5.0_all.deb
  to pool/main/d/debconf/debconf-doc_1.5.0_all.deb
debconf-english_1.5.0_all.deb
  to pool/main/d/debconf/debconf-english_1.5.0_all.deb
debconf-i18n_1.5.0_all.deb
  to pool/main/d/debconf/debconf-i18n_1.5.0_all.deb
debconf-utils_1.5.0_all.deb
  to pool/main/d/debconf/debconf-utils_1.5.0_all.deb
debconf_1.5.0.dsc
  to pool/main/d/debconf/debconf_1.5.0.dsc
debconf_1.5.0.tar.gz
  to pool/main/d/debconf/debconf_1.5.0.tar.gz
debconf_1.5.0_all.deb
  to pool/main/d/debconf/debconf_1.5.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 265570@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 20 Apr 2006 17:54:06 -0400
Source: debconf
Binary: debconf-english debconf-doc debconf-utils debconf-i18n debconf
Architecture: source all
Version: 1.5.0
Distribution: unstable
Urgency: low
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-doc - debconf documentation
 debconf-english - small footprint English-only debconf
 debconf-i18n - full internationalization support for debconf
 debconf-utils - debconf utilities
Closes: 198297 247849 265570 294116 355251 357010 357653 358525 358804 360584 361152 361157 361185
Changes: 
 debconf (1.5.0) unstable; urgency=low
 .
   [ Colin Watson ]
   * Define UTF-8 as the encoding for all passthrough communication (it was
     previously undefined, causing installer breakage when using non-UTF-8
     locales). Now the passthrough frontend recodes everything to UTF-8 when
     talking to the UI agent, and we recode DATA parameters from UTF-8 to the
     user's charmap. Closes: #355251
   * Note that if you try to exchange non-ASCII text with debconf at the
     moment using anything but the DATA command, you lose unless you know
     that the other end is using the same character encoding as you.
     Retrofitting encoding sanity is hard.
   * Accept -- as an end-of-options terminator in frontend, even though it
     doesn't currently take any arguments. Simplifies a corner case in
     cdebconf compatibility.
   * Notice and error out on write errors (such as ENOSPC) when saving
     databases. Should help with a lot of database corruption bugs.
     Closes: #198297, #247849 (we hope)
 .
   [ Christian Perrier ]
   * Rename the Punjabi translation file name from pa_IN to pa
     to fit a decision taken in -i18n
   * Man pages translations:
     - French updated
     - Complete translator information in addenda
 .
   [ Luk Claes ]
   * Translations:
     - Arabic updated programs (Closes: #357010).
     - Arabic updated debconf (Closes: #360584).
     - Brazilian Portuguese updated debconf (Closes: #357653).
     - Romanian updated programs (Closes: #361152).
     - Romanian updated debconf (Closes: #361157).
     - Indonesian updated programs (Closes: #361185).
   * Fixed typo in French debconf-devel manpage (Closes: #358525).
   * Small correction in German programs translation (Closes: #358804).
 .
   [ Joey Hess ]
   * Finally applied Danilo Piazzalunga's gnome multiselct usability patch,
     which turns it into a list of checkboxes. Closes: #294116
   * Set maintainer to debconf-devel mailing list, this package is noticably
     Colin^Wteam maintained now. Closes: #265570
Files: 
 5fd7b09ce2873d6fe1982ffde9b744b4 759 admin optional debconf_1.5.0.dsc
 b9b2a18b0ab2eb8f9ff719bc5c4159a9 526768 admin optional debconf_1.5.0.tar.gz
 aa63a5e45905f07f1f8fe7a663308f4b 133432 admin important debconf_1.5.0_all.deb
 12883ccd9a94e76c7e9e74c71241d378 113222 admin important debconf-i18n_1.5.0_all.deb
 ce366f0ca433de62b8f7824daa94f937 856 admin extra debconf-english_1.5.0_all.deb
 54388cdeee8aa39b4d2fa979151f217f 157428 doc optional debconf-doc_1.5.0_all.deb
 69f7111ba751fb5eeed383ebfd496b36 30694 devel optional debconf-utils_1.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFESAUi2tp5zXiKP0wRAvr6AKDT4BAIi+KmRAE9NzNCrTPjFbOSngCfRzfT
wcVFFp2x7cnk1dsQKlX9v9A=
=dlYw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:08:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:33:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.